using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp7
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split(' ');
            int n = int.Parse(input[0]);
            int I = int.Parse(input[1]);
            int[] heights = new int[n];
            string[] input2 = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                heights[i] = int.Parse(input2[i]);
            }
            int b = 0;
            for(int i =0; i < n; i++)
            {
                if (heights[i] <= I)
                {
                    Console.WriteLine(i + 1);
                    break;
                }
                else
                {
                    b++;
                }
                if(b == n)
                {
                    Console.WriteLine(-1);
                }
            }
        }
    }
}